@echo off
ATTRIB -R ..\TERRAIN.SQS

echo MAKING BACKUP COPY OF EXISTING TERRAIN.SQS
COPY ..\TERRAIN.SQS .\BACKUP\TERRAIN.SQS

echo MAKING BACKUP COPY OF EXISTING TREES
.\SQZIP -u -f GRNPINE-256.BMP ..\WW2.SQS .\BACKUP
.\SQZIP -u -f GRNPINE-128.BMP ..\WW2.SQS .\BACKUP
.\SQZIP -u -f GRNPINE-64.BMP ..\WW2.SQS .\BACKUP
.\SQZIP -u -f GRNPINE-32.BMP ..\WW2.SQS .\BACKUP

echo INSTALLING TERRAIN TEXTURES
MKDIR .\WORKDIR
.\SQZIP -u ..\TERRAIN.SQS .\WORKDIR
COPY .\TEXTURES\*.BMP .\WORKDIR
.\TILE.EXE 58 37 .\WORKDIR
.\SQZIP -p ..\TERRAIN.SQS .\WORKDIR


echo INSTALLING TREES
.\SQZIP -p -f GRNPINE-256.BMP ..\WW2.SQS .\TREES
.\SQZIP -p -f GRNPINE-128.BMP ..\WW2.SQS .\TREES
.\SQZIP -p -f GRNPINE-64.BMP ..\WW2.SQS .\TREES
.\SQZIP -p -f GRNPINE-32.BMP ..\WW2.SQS .\TREES

DELTREE /Y .\WORKDIR

echo INSTALLATION COMPLETE ... CLOSE DOS SESSION :-)

